var zx = {
    /**
    * 通过component启动activity
    * @param packageName 包名字符串
    * @param className 类名字符串
    * @param bundle 需要传递的数据，类型为json，可以为null, 目前不支持数组和json嵌套
    */
    startActivityByComponent: function (packageName, className, bundle) {
        cordova.exec(null, null, "StartActivity", "startActivityByComponent", [packageName, className, bundle]);
    },

    /**
    * 通过action启动activity
    * @param action 字符串
    * @param bundle 需要传递的数据，类型为json, 可以为null, 目前不支持数组和json嵌套
    */
    startActivityByAction: function (action, bundle) {
        cordova.exec(null, null, "StartActivity", "startActivityByAction", [action, bundle]);
    },

    /**
    * 启动权限引导界面
    */
    startBootGuideActivity: function () {
        cordova.exec(null, null, "StartActivity", "startBootGuideActivity", []);
    },

    /**
    * 获取掌信当前登录用户的uid
    * @param resultCallback 结果回掉函数，通过参数返回uid，类型为string
    */
    getUid: function (resultCallback) {
        cordova.exec(function (result) {
            if (resultCallback != null) {
                resultCallback(result);
            }
        }, function (error) {
            if (resultCallback != null) {
                resultCallback(null);
            }
        }, "UserInfo", "getUid", []);
    },
    /**
     * 获取掌信getReportInfo
     * @param resultCallback 结果回掉函数，通过参数返回reportInfo，类型为json
     */
     getReportInfo: function (resultCallback) {
         cordova.exec(function (result) {
                      if (resultCallback != null) {
                      resultCallback(result);
                      }
                      }, function (error) {
                      if (resultCallback != null) {
                      resultCallback(null);
                      }
                      }, "reportInfo", "getReportInfo", []);
     },
    /**
     *  返回
     */
    closeWindow: function (resultCallback) {
        cordova.exec(function (result) {
                 if (resultCallback != null) {
                 resultCallback(result);
                 }
                 }, function (error) {
                 if (resultCallback != null) {
                 resultCallback(null);
                 }
                 }, "reportInfo", "closeWindow", []);
	},
	/**
     * 获取聊天记录getChatInfo
     * @param resultCallback 结果回掉函数，通过参数返回reportInfo，类型为array
     */
    getChatInfo: function (resultCallback) {
        cordova.exec(function (result) {
                 if (resultCallback != null) {
                 resultCallback(result);
                 }
                 }, function (error) {
                 if (resultCallback != null) {
                 resultCallback(null);
                 }
                 }, "reportInfo", "getChatInfo", []);
    },
    
    /**
     * addToBlackList加入黑名单
     */
    addToBlackList: function (resultCallback) {
        cordova.exec(function (result) {
                 if (resultCallback != null) {
                 resultCallback(result);
                 }
                 }, function (error) {
                 if (resultCallback != null) {
                 resultCallback(null);
                 }
                 }, "reportInfo", "addToBlackList", []);
    },

    /**
     *  小秘书推荐成功页，点击按钮跳转附近的人
     */
    jumpToNearbyPeople: function (resultCallback) {
        cordova.exec(function (result) {
             if (resultCallback != null) {
                resultCallback(result);
             }
        }, function (error) {
             if (resultCallback != null) {
                     resultCallback(null);
             }
        }, "StartActivity", "jumpToNearbyPeople", []);
    },
    /**
     *  小秘书推荐成功页，点击按钮跳漂流瓶
     */
    jumpToBottle: function (resultCallback) {
        cordova.exec(function (result) {
             if (resultCallback != null) {
                resultCallback(result);
             }
        }, function (error) {
             if (resultCallback != null) {
                resultCallback(null);
             }
        }, "StartActivity", "jumpToBottle", []);
    },
	
    /**
    * 获取掌信UserAgent
    * @param resultCallback 结果回掉函数，通过参数返回UserAgent，类型为json
    */
    getUserAgent: function (resultCallback) {
        cordova.exec(function (result) {
            if (resultCallback != null) {
                resultCallback(result);
            }
        }, function (error) {
            if (resultCallback != null) {
                resultCallback(null);
            }
        }, "UserInfo", "getUserAgent", []);
    }
};
